Bug 59606 - RFE: Emit warning when "rpm -ba" is used
RFE: Emit warning when "rpm -ba" is used
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-10 21:49 EST by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-10 21:49:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-02-10 21:49:03 EST
It has been over 20 months now.

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=13277

And as is apparent from the rpm-list traffic, and the problems developers
encounter who are new to RPM, the message in the man page:

   Use: rpmbuild -ba

is not being heard.  This is causing 'mysterious' failures. Please consider
adding (I take it in the popt expansions):

   $ rpm -ba wheatever.spec
   "Warning: rpm -ba" is deprecated - Use: "rpmbuild -ba"

to pound the point in and prepare the way to un-overburden 'rpm'.
Comment 1 Jeff Johnson 2002-02-11 10:52:06 EST
The popt interface would need to change incompatibly
to emit the warning, as the rpm executable is not supposed
to know it's helpers, that's what a popt alias is for.

The fix -- when I am permitted -- is gonna be to rip out
the popt alias legacy compatibility crap. Users will invoke
rpmbuild when building, otherwise rpm itself. Continuing to
fiddle around with "legacy compatibility" and better warnings
etc doesn't even begin to touch the root of the problem:

	The build modes have moved out of the /bin/rpm
	executable, and they're not going back again.

Note You need to log in before you can comment on or make changes to this bug.